Package com.collibra.dgc.core.api.dto.instance.attribute

# Class AddAttributeRequest

Object
AddAttributeRequest

All Implemented Interfaces:
  `Serializable`

public class AddAttributeRequest extends Object implements Serializable
The properties of the asset to be added.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `AddAttributeRequest.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AddAttributeRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AddAttributeRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `UUID`
  `getAssetId()`
  Required. The ID of the asset this attribute should belong to.
  `UUID`
  `getTypeId()`
  The ID of the attribute type for the new attribute.
  `String`
  `getTypePublicId()`
  The public ID of the attribute type for the new attribute.
  `Object`
  `getValue()`
  Required. The value of this attribute.
  `int`
  `hashCode()`
  `void`
  `setAssetId(UUID assetId)`
  Required. The ID of the asset this attribute should belong to.
  `void`
  `setTypeId(UUID typeId)`
  The ID of the attribute type for the new attribute.
  `void`
  `setTypePublicId(String typePublicId)`
  The public ID of the attribute type for the new attribute.
  `void`
  `setValue(Object value)`
  Required. The value of this attribute.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AddAttributeRequest

    public AddAttributeRequest()

- ## Method Details

  - ### builder

    public static AddAttributeRequest.Builder builder()

  - ### getAssetId

    public UUID getAssetId()
    Required. The ID of the asset this attribute should belong to.

  - ### getTypeId

    public UUID getTypeId()
    The ID of the attribute type for the new attribute.

  - ### getTypePublicId

    public String getTypePublicId()
    The public ID of the attribute type for the new attribute.

  - ### getValue

    public Object getValue()
    Required. The value of this attribute. Expected type of the value depends on the type of the attribute.

    The following list presents type of the value depending on the kind of the attribute.

    - kind: `NumericAttribute` -> value Class: `Double` or `String`
    - kind: `ScriptAttribute` -> value Class: `String`
    - kind: `SingleValueListAttribute` -> value Class: `String`
    - kind: `DateAttribute` -> value class: `Long` or `String`
    - kind: `StringAttribute` -> value class: `String`
    - kind: `BooleanAttribute` -> value class: `Boolean` or `String`
    - kind: `MultiValueListAttribute` -> value class: `List` of `String`

  - ### setAssetId

    public void setAssetId(UUID assetId)
    Required. The ID of the asset this attribute should belong to.

  - ### setTypeId

    public void setTypeId(UUID typeId)
    The ID of the attribute type for the new attribute.

  - ### setTypePublicId

    public void setTypePublicId(String typePublicId)
    The public ID of the attribute type for the new attribute.

  - ### setValue

    public void setValue(Object value)
    Required. The value of this attribute. Expected type of the value depends on the type of the attribute.

    The following list presents type of the value depending on the kind of the attribute.

    - kind: `NumericAttribute` -> value Class: `Double` or `String`
    - kind: `ScriptAttribute` -> value Class: `String`
    - kind: `SingleValueListAttribute` -> value Class: `String`
    - kind: `DateAttribute` -> value class: `Long` or `String`
    - kind: `StringAttribute` -> value class: `String`
    - kind: `BooleanAttribute` -> value class: `Boolean` or `String`
    - kind: `MultiValueListAttribute` -> value class: `List` of `String`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`